NAUTY-DELPTG(1)

NAME
nauty-delptg - delete vertices

SYNOPSIS
delptg [-lq] [-a|-b] [-d#|-d#:#] [-v#|-v#:#] [-r#] [-n#] [-m#|-i] [infile [outfile]]

DESCRIPTION

    Delete some vertices from a file of graphs.

    The output file has a header if and only if the input file does. No isomorph reduction is done.

-l  Canonically label outputs

-d# -d#:# Only remove vertices with original degree in the given range

    For digraphs, the out-degree is used.

-n# The number of vertices to delete (default 1).

-v# -v#:# Vertex number or numbers that it is allowed to delete

    (the first vertex is number 0).

-m# Lower bound on minimum degree of output graphs.

-r# Choose # random sets of points (not necessarily different)

-S# Set random number seed (taken from clock otherwise).

-a  The deleted points must be adjacent.

-b  The deleted points must be non-adjacent.

-i  Leave deleted vertices as isolates, not compatible with -m.

    No empty graphs are output. No warning is issued if

    -d, -v -n, -m together imply no graphs are output.

    For digraphs, out-degree is used for -d and -m. -q Suppress auxiliary information